version: '3.8'

services:
  evening_detective:
    build:
      context: .
      dockerfile: Dockerfile
    ports:
      - "8080:8080"
      - "8090:8090"
      - "8100:8100"
      - "8110:8110"
      - "8120:8120"
    networks:
      - crabs-network
    volumes:
      - data:/data
    labels:
      reproxy.1.server: "rodniki.crabs-games.art"
      reproxy.1.route: "^/schedule"
      reproxy.1.dest: "http://pinned_message:8210/schedule"
      reproxy.1.port: "8210"
      reproxy.1.ping: "/"

      reproxy.2.server: "rodniki.crabs-games.art"
      reproxy.2.route: "/(.*)"
      reproxy.2.dest: "http://pinned_message:8220/$$1"
      reproxy.2.port: "8220"
      reproxy.2.ping: "/"

networks:
  crabs-network:
    name: crabs-network
    external: true
